| Home | Libraries | People | FAQ | More

##### basic_datagram_socket::basic_datagram_socket (5 of 5 overloads)

Move-construct a `basic_datagram_socket` from another.

    basic_datagram_socket(
        basic_datagram_socket && other);

This constructor moves a datagram socket from one object to another.

###### Parameters

other

  The other `basic_datagram_socket` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_datagram_socket(io_service&) constructor`.